#!/usr/bin/env bash

ABSDIR="$( dirname "$(readlink -f -- "$0")" )"
source ${ABSDIR}/../functions.sh
source ${ABSDIR}/vars.sh

ensure_pwd_is_scriptdir
ensure_not_root

ensure_variables_are_defined "$envvars"

if [[ ! -d ~/.local/share/containers/storage/volumes/${dbvolume} ]]; then
    echo "Error : conf volume ${dbvolume} does not exists. Consider running 05_freshinstall.sh if this is the first install."
    exit 1
fi

cat <<EOT >> .env
MYSQL_ROOT_PASSWORD=${GARBAYE_FRAMADATE_MYSQL_ROOT_PASSWORD}
MYSQL_PASSWORD=${GARBAYE_FRAMADATE_MYSQL_PASSWORD}
APP_NAME=${GARBAYE_FRAMADATE_APP_NAME}
DOMAIN=${GARBAYE_FRAMADATE_DOMAIN}
ADMIN_MAIL=${GARBAYE_FRAMADATE_ADMIN_MAIL}
ADMIN_PASSWORD=${GARBAYE_FRAMADATE_ADMIN_PASSWORD}
SMTP_SERVER=${GARBAYE_FRAMADATE_SMTP_SERVER}

EOT

export GARBAYE_FRAMADATE_FRAMADATE_VERSION="${framadate_release}"
podman-compose up -d
shred -u .env
podman rmi $(podman images -a -q -- docker.io/library/composer)
