#!/usr/bin/env bash

ABSDIR="$( dirname "$(readlink -f -- "$0")" )"
source ${ABSDIR}/../functions.sh
source ${ABSDIR}/vars.sh

ensure_pwd_is_scriptdir
ensure_not_root

if [[ -d ~/${confvolume} ]]; then
    echo "Error : conf volume ~/${confvolume} already exists. Please remove it first (prune?)."
    exit 1
fi

mkdir -p ~/${confvolume}/{web/letsencrypt,web/crontabs,transcripts,prosody/config,prosody/prosody-plugins-custom,jicofo,jvb,jigasi,jibri}

# Patch config.js
echo "
config.enableInsecureRoomNameWarning = true;

config.disableThirdPartyRequests = true;
" > ~/${confvolume}/web/custom-config.js

# Patch ~/${confvolume}/web/interface_config.js
echo "
interfaceConfig.APP_NAME = 'Jitsi Garbaye';
interfaceConfig.DEFAULT_REMOTE_DISPLAY_NAME = 'Participant';
interfaceConfig.JITSI_WATERMARK_LINK = '${GARBAYE_JITSI_URL}';
" > ~/${confvolume}/web/custom-interface_config.js
