#!/usr/bin/env bash

ABSDIR="$( dirname "$(readlink -f -- "$0")" )"
source ${ABSDIR}/../functions.sh
source ${ABSDIR}/vars.sh

ensure_pwd_is_scriptdir
ensure_not_root

echo "Podman images status..."
podman images ${synapse_image} | grep ${synapse_image} || echo Image ${synapse_image} not found.
podman images ${postgres_image} | grep ${postgres_image} || echo Image ${postgres_image} not found.
echo
echo "Checking pod status..."
podman pod ps | grep ${pod_name} || echo Pod ${pod_name} not found.
echo
echo "Checking systemd unit status..."
systemctl --user status ${service_name}
