#!/usr/bin/env bash

ABSDIR="$( dirname "$(readlink -f -- "$0")" )"
source ${ABSDIR}/../functions.sh
source ${ABSDIR}/vars.sh

ensure_pwd_is_scriptdir
ensure_not_root

# FAIL if pod is running
ensure_pod_not_running ${pod_name}

# FAIL if pod exists
ensure_pod_not_exists ${pod_name}

# FAIL if systemd unit exists
ensure_systemd_unit_not_exists ${service_name}

# remove volume
#podman unshare rm -rf ~/${confvolume}/
#podman volume rm matrixdotorg_synapse-data
#podman volume rm matrixdotorg_synapse-pgsql

# remove images
#for image in ${upstream_images} ; do
#    podman rmi $(podman images -a -q -- ${image}) || echo Image ${image} not found.
#done
podman rmi $(podman images -a -q -- ${postgres_image}) || echo Image ${postgres_image} not found.
podman rmi $(podman images -a -q -- ${synapse_image}) || echo Image ${synapse_image} not found.
